跳转到主要内容
POST
/
v3beta1
/
enterprise
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
上传企业蓝图文件
curl --request POST \
  --url https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "blueprint_id": "<string>",
  "created_at": 123,
  "env_var_name": "<string>",
  "file_id": "<string>",
  "name": "<string>",
  "size_bytes": 123,
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

权限

需要服务用户在企业级别具有 ManageAccountSnapshots 权限。

行为

将文件上传到企业蓝图。文件可在蓝图 YAML 中引用,并在快照构建期间使用。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

路径参数

blueprint_id
string
必填

查询参数

name
string
必填

请求体

multipart/form-data
file
file
必填

响应

成功响应

公开的 BlueprintFile 资源结构。

blueprint_id
string
必填
created_at
integer
必填
env_var_name
string
必填
file_id
string
必填
name
string
必填
size_bytes
integer
必填
updated_at
integer
必填